// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/agent/manifestops (interfaces: Applier)
//
// Generated by this command:
//
//	mockgen -typed -self_package gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/agent/manifestops -destination mock_for_test.go -package manifestops gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/agent/manifestops Applier
//

// Package manifestops is a generated GoMock package.
package manifestops

import (
	context "context"
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
	apply "sigs.k8s.io/cli-utils/pkg/apply"
	event "sigs.k8s.io/cli-utils/pkg/apply/event"
	inventory "sigs.k8s.io/cli-utils/pkg/inventory"
	object "sigs.k8s.io/cli-utils/pkg/object"
)

// MockApplier is a mock of Applier interface.
type MockApplier struct {
	ctrl     *gomock.Controller
	recorder *MockApplierMockRecorder
}

// MockApplierMockRecorder is the mock recorder for MockApplier.
type MockApplierMockRecorder struct {
	mock *MockApplier
}

// NewMockApplier creates a new mock instance.
func NewMockApplier(ctrl *gomock.Controller) *MockApplier {
	mock := &MockApplier{ctrl: ctrl}
	mock.recorder = &MockApplierMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockApplier) EXPECT() *MockApplierMockRecorder {
	return m.recorder
}

// Run mocks base method.
func (m *MockApplier) Run(arg0 context.Context, arg1 inventory.Info, arg2 object.UnstructuredSet, arg3 apply.ApplierOptions) <-chan event.Event {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Run", arg0, arg1, arg2, arg3)
	ret0, _ := ret[0].(<-chan event.Event)
	return ret0
}

// Run indicates an expected call of Run.
func (mr *MockApplierMockRecorder) Run(arg0, arg1, arg2, arg3 any) *MockApplierRunCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Run", reflect.TypeOf((*MockApplier)(nil).Run), arg0, arg1, arg2, arg3)
	return &MockApplierRunCall{Call: call}
}

// MockApplierRunCall wrap *gomock.Call
type MockApplierRunCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockApplierRunCall) Return(arg0 <-chan event.Event) *MockApplierRunCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockApplierRunCall) Do(f func(context.Context, inventory.Info, object.UnstructuredSet, apply.ApplierOptions) <-chan event.Event) *MockApplierRunCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockApplierRunCall) DoAndReturn(f func(context.Context, inventory.Info, object.UnstructuredSet, apply.ApplierOptions) <-chan event.Event) *MockApplierRunCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}
